package de.hhu.ba.yoshikoWrapper.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Locale;

import javax.swing.JComboBox;

import de.hhu.ba.yoshikoWrapper.core.LocalizationManager;

@SuppressWarnings( "serial")
public class LanguageSwitcher extends JComboBox<Locale>{

	public LanguageSwitcher() {
		for (Locale l: LocalizationManager.locales) {
			this.addItem(l);
		}
		this.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				System.out.println("HI");
				LocalizationManager.switchLanguage(getItemAt(getSelectedIndex()));
			}
			
		});
	}
	

}
